ziphone 2.5 wont unlock my iphone?

stunning

Limp Gawd
Joined
Sep 14, 2006
Messages
317
ok, so I decided to mess around and upgraded my firmware from 1.1.3 to 1.1.4. I have used ziphone to unlock my 1.1.3, but when I tried it for 1.1.4, it didnt work...anyone else having this problem?
 

t5brick

Supreme [H]ardness
Joined
Oct 26, 2001
Messages
7,447
I wasn't able to jailbreak my iPod touch running 1.1.4 either.
 

Erfus

Limp Gawd
Joined
Aug 3, 2004
Messages
167
Unlock means use it with different carriers; jailbreak means you can install stuff on it. So you can't unlock an iPod Touch at all, but you can jailbreak it. I don't know anything about unlocking with Ziphone, but it jailbroke my phone, and a buddy's, just fine.
 

t5brick

Supreme [H]ardness
Joined
Oct 26, 2001
Messages
7,447
Unlock means use it with different carriers; jailbreak means you can install stuff on it. So you can't unlock an iPod Touch at all, but you can jailbreak it.

Alright, I misspoke earlier and have updated my previous post. The fact remains that ziphone does not jailbreak my iPod Touch.
 

stunning

Limp Gawd
Joined
Sep 14, 2006
Messages
317
OK I FINALLY GOT IT to work!!!!

my iPhone 1.1.4 is unlocked, jail broken, activated...

btw does anyone know which BOOTLOADER version 1.1.2, 1.1.3 and 1.1.4 has/had?


Here are my steps to get an iphone 1.1.4 to work with tmobile.

1. Do an update (not restore) to 1.1.4 with itunes
2. Use ziphone 2.5 to "downgrade 4.6BL to 3.9 & flash/unlock 4.03" (under the advance tab)
3. THEN select Jailbreak and Activate iphone

for some reason the GUI doesnt work too well, after I did the steps above, i restored my iphone back to 1.1.4 locked, tried unlocking it using the GUI, but it still doesnt work.

I then restored it back to default 1.1.4 using the 3 methods I had earlier and it worked.


Now I just need to tzone hack my iphone again so I can use the edge service, but Im going out to dinner so if I get that to work or if anyone else can confirm/tell me how they did it for 1.1.4 that would be great.


Hope my method works to get your iphone 1.1.4 unlocked and activated.
(I had my iphone for exactly 7 days so far, so keep in mind im still an iphone noobie...hahah)


btw if anyone wants me to update my methods in the OP, let me know and ill do it
 

oshia86

Gawd
Joined
Jan 16, 2007
Messages
808
This version broke youtube on my phone and it also couldnt download anything through installer, it worked in the previous version with the full method (-u, -a, -j), but now that doesnt seem to fix it. This guy seems very reluctant to realize he has bugs with his software to.
 

stunning

Limp Gawd
Joined
Sep 14, 2006
Messages
317
This version broke youtube on my phone and it also couldnt download anything through installer, it worked in the previous version with the full method (-u, -a, -j), but now that doesnt seem to fix it. This guy seems very reluctant to realize he has bugs with his software to.

yeah my youtube isnt working either...how did you unlock/jailbreak/activate your iphone?
 

oshia86

Gawd
Joined
Jan 16, 2007
Messages
808
Well with the 1.1.3 i used ziphone 2.4 and i ran it with the cmd, you extracted the ziphone contents to my documents (i think) and run a cmd with ziphone -j -a -u, i didnt use the cmd method with 2.5 though, im gonna go ahead and give it a go now and see if i can get it to work
 

oshia86

Gawd
Joined
Jan 16, 2007
Messages
808
Everything works now, just google youtube fix, it has something to do with 3 files and an activation file.
 

Lt.Col.Dehler

Limp Gawd
Joined
Feb 4, 2008
Messages
164
i jailbroke my 1.1.4 ipod touch. If you get the BSD root error while doing it.
Hold down home on your ipod, plug it into the computer while holding home. It should restore. Run Ziiphone, should work, thats all i did with my 16gb.
 

t5brick

Supreme [H]ardness
Joined
Oct 26, 2001
Messages
7,447
i jailbroke my 1.1.4 ipod touch. If you get the BSD root error while doing it.
Hold down home on your ipod, plug it into the computer while holding home. It should restore. Run Ziiphone, should work, thats all i did with my 16gb.

Yeah, so far that hasn't worked for me. Strange, I have one of the old iPod Touches too.
 

tacos4me

Gawd
Joined
Apr 5, 2006
Messages
815
Just so you all know, it's not recommended to downgrade 4.6 BL to 3.9. Reason being, once you downgrade, you're stuck there forever. There's really no reason to do so right now anyway. The only feature you'll be missing by not downgrading to 3.9 is the "Locate Me" thing on Google Maps. That's the ONLY reason to downgrade.
 

stunning

Limp Gawd
Joined
Sep 14, 2006
Messages
317
Just so you all know, it's not recommended to downgrade 4.6 BL to 3.9. Reason being, once you downgrade, you're stuck there forever. There's really no reason to do so right now anyway. The only feature you'll be missing by not downgrading to 3.9 is the "Locate Me" thing on Google Maps. That's the ONLY reason to downgrade.

for some reason when I downloaded it and i still had one of the recent Bootloaders 4.05 or something, ill check later as my iPhone is dead... and charging...
 
Top